Subject: bug#55439: [PATCH] Add support for the Modi script

From: समीर सिंह Sameer Singh <[email-masked]>
Date: Wed, 18 May 2022 20:28:01 +0530

>
> AFAIU, Hindi is one language that uses the Devanagari script.  Is this
> correct?  If that is correct, how about having two lines in HELLO: one
> that says "Hindi" and shows a Hindi greeting, and another that says
> "Devanagari" and shows a greeting in some other language that uses
> Devanagari?

The problem is, like Visuwesh said, most of the languages which use
Devanagari use Namaste/Namaskaar as a greeting.

Either way, I will ask for a greeting in Marathi, which uses the
> Devanagari script as well.
>

Marathi also uses Namsakaar.

Of course there are also local greetings, so one solution is to use the
standard greetings in Devanagari
and local ones in Hindi, like रामराम (raam raam), पायलागू (paay lagu) etc.

On Wed, May 18, 2022 at 7:03 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Visuwesh <[email-masked]>
> > Cc: समीर सिंह Sameer Singh
> >  <[email-masked]>,  [email-masked],
> >   [email-masked]
> > Date: Wed, 18 May 2022 18:55:25 +0530
> >
> > Either way, I will ask for a greeting in Marathi, which uses the
> > Devanagari script as well.
>
> Thanks.  Maybe someone else will be able to show alternative greetings
> in some other language(s) that use Devanagari, and we could then
> decide how to proceed in this matter.
>
> Btw, I'd like to clarify:
>
> > And anyway, the script will not be renamed, since we follow Unicode in
> > script names.  The patch didn't rename the script, and rightfully so.
>
> When I wrote that, I meant the name of the script as a symbol, which
> we use in char-script-table, in font- and fontset-related settings,
> and in other similar situations.  I did not mean the name that appears
> in HELLO, where we already decided to use Odia, per its official name.
> Making the change there doesn't affect user input in any way, it's
> just a "display name" of the script, so to say.
>